List completed steps, for the side panel
curl --request POST \
--url https://api.getoneprofile.ai/linkedin/agent/history/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/linkedin/agent/history/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/linkedin/agent/history/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"error_code": "<string>",
"error_message": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "profile_view",
"outcome": {},
"params": {},
"priority": 123,
"queued_at": "2023-11-07T05:31:56Z",
"source_enrolment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": "web"
}
],
"stats": {
"avg_duration_ms": 123,
"failed": 123,
"rejected": 123,
"skipped": 123,
"succeeded": 123,
"total": 123
},
"total": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}linkedin
List completed steps, for the side panel
Settled actions newest first with lifetime stats — the dashboard’s history, verbatim.
POST
/
linkedin
/
agent
/
history
/
List completed steps, for the side panel
Authorizations
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Was this page helpful?